Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
phantuhuong

Cách chọn đối tượng trong SendCommand

Các bài được khuyến nghị

Tôi sử dụng VBA để thực hiện công việc Break đối tượng, nhưng VBA lại không hỗ trợ. Vì vậy chuyển sang dùng SendCommand. Cái khổ là SendCommand chỉ nhận chuỗi, không nhận object (gán bằng VBA là nó báo lỗi). Mò mãi vẫn chưa ra, dùng cả phương thức ObjectID hỗ trợ cũng không được.

 

 

Không hiểu có bác nào biết cách không?

 

Sub Example_SendCommand()
  ' This example sends a command for evaluation to the AutoCAD command line
  ' of a particular drawing 

  ' Create a Circle in the active drawing and 
  ' zoom to display the entire circle
  ThisDrawing.SendCommand "_Circle" & vbCr & "2,2,0" & vbCr & "4" & vbCr
  ThisDrawing.SendCommand "_zoom" & vbCr & "a" & vbCr

  ' Refresh view
  ThisDrawing.Regen acAllViewports

  MsgBox "A circle command has been sent to the command line of the current drawing."
End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Kẹt lắm mới dùng đến SendCommand.

 

Tôi chưa dùng cái lệnh break này bao giờ, bạn tham khảo chỗ này xem ntn:

http://forums.augi.com/showthread.php?t=58553

 

Tôi cũng đã thử thục này nhưng thấy nó chạy vẫn chưa được ổn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×